Subject: Re: [RFC] [DCCP]: Deprecate SOCK_DCCP in favour of SOCK_DGRAM

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Tue, 13 May 2008 14:53:44 -0300

Em Tue, May 13, 2008 at 02:34:54PM -0300, Arnaldo Carvalho de Melo escreveu:
> Em Tue, May 13, 2008 at 08:06:34PM +0300, Rémi Denis-Courmont escreveu:
> > Le Tuesday 13 May 2008 19:59:35 David Stevens, vous avez écrit :
> > >         Well, SOCK_STREAM/IPPROTO_DCCP then. :-) But it isn't really that
> > > either, as Remi said.
> > >         If you do a connect() on a UDP socket, it doesn't cease to
> > > be a SOCK_DGRAM socket, so I don't really care about that distinction,
> > > but if others do, that's ok with me. There are ACKs here, too, so maybe.
> > 
> > But connect() is a _non-blocking_ operation which merely sets the _default_ 
> > destination (you can still sendto() someone else).
> > 
> > Using socket types blindly may also break applications using 
> > getsockopt(SO_TYPE), if they exists (I think I wrote one once...) to 
> > determine how to use a socket.
> > 
> > SOCK_DCCP was perhaps a bad idea, but SOCK_DGRAM seems worse. In the end, it's 
> > more a matter of patching libc getaddrinfo than changing the kernel API 
> > anyway. Did AIX not have a similar socket type as DCCP under a more generic 
> > name by the way?
> 
> /me feels Deja Vu :-)
> 
> Lemme dig the URL for the discussion where SOCK_DCCP was discussed and
> AIX was summoned, etc :-)

http://www.ietf.org/mail-archive/web/dccp/current/msg01540.html

While discussing with Nishida-san, the NetBSD DCCP guy.

- Arnaldo